package gov.nih.nlm.nls.lexCheck.install.Setup;

import java.util.*;
import java.io.*;
import java.lang.*;

import gov.nih.nlm.nls.lexCheck.install.utils.*;

import gov.nih.nlm.nls.lexCheck.Api.*;

/**
* This is the class to install lexCheck
* - generate configuration file to $LC/data/config/lexCheck.properties
* - generate scripts under ${LC}/bin
*/
public final class Install 
{
	public static void main(String argv[])
	{
		Install(argv);
	}

	private static void Install(String argv[])
	{
		String msgDir = InstallObject.GetMsgDir();

		// send out usage message
    	if((argv.length > 0) 
		&& (argv[0].equals("-h") ||  argv[0].equals("--help") )) 
		{
			Lib.DisplayMessageFile(msgDir, "usage.txt");
    	} 
		else	// start installation
		{
      		try 
			{
				// Display an introdutory message
				Lib.DisplayMessageFile(msgDir, "Welcome.txt");
	
				// Configure and rewirte lexCheck config file
				Configure.ConfigureConfigFile();

				// Create script for lexCheck
      			CreateScripts.CreateExecScripts();
      
      			// Verify that lexCheck is now working
      			if(Verify.Verify() == true ) 
				{
					Lib.DisplayMessageFile(msgDir, "finished.txt");
				}
      			else
				{
					Lib.DisplayMessageFile(msgDir, "notFinished.txt");
				}
      		}
			catch ( Exception e ) 
			{
				// installationis not completed
				Lib.DisplayMessageFile(msgDir, "notFinished.txt");
      		}
    	}
	}
}
