package gov.nih.nlm.nls.lexCheck.install.Setup;

import java.util.*;
import java.io.*;

import gov.nih.nlm.nls.lexCheck.install.utils.*;

public class Lib 
{
	/**
	* This method retrieves the value from the commandline arguments. 
	* This method looks for the optionStr argument to pick the value up. 
	* 
	* @param  String[] argv  The arguments from the commandline.	
	* @param  optionStr option pattern for looking up.
	* @returns			String  (null if not set)
	*/
	public static String GetArgument(String[] argv, String optionStr)
		throws Exception
	{ 
		String returnValue = null;

    	if(argv != null)
		{
			for(int i = 0;  i < argv.length; i++) 
			{
				if(argv[i].startsWith(optionStr) == true) 
				{
					returnValue = 
						new String(argv[i].substring(optionStr.length()));
					break;
				}
			}
		}
    	return returnValue;
	}

	public static void DisplayMessageFile(String directory, String fileName)
	{
		// filepath has to be "/"
    	String filePath = directory + "/" + fileName;
		DisplayMessageFile(filePath);
	}

	public static void DisplayMessageFile(String filePath)
	{
    	try
		{ 
			// Assuming that all message files will be wrapped up in the jar 
			// file, one can grab the message files by using:
			/*
      		BufferedReader in = new BufferedReader(
				new InputStreamReader(ClassLoader.getSystemClassLoader().
				getSystemResourceAsStream(filePath)));
				*/
				
			BufferedReader in = new BufferedReader(new FileReader(filePath));
      
				String line = null;
				while((line = in.readLine()) != null) 
				{
	  				System.out.println(line);
				}
				in.close();
		} 
		catch (Exception e) 
		{
			System.out.println("** Warning: Problems of reading file: '" 
				+ filePath + "', " + e.toString());
      	}
	}
}
