package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Compl.*;
/*****************************************************************************
* This class checks the format of Complement for adjective.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatAdjCompl implements CheckFormat
{
    // public method
    /**
    * Check a filler to see if it is a legel complement.
    *
    * @param   filler  the filler of adjective complement
    *
    * @return  true or false for legal and illegal complement.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = false;
        if(filler_.contains(filler) == true)
        {
            flag = true; 
        }
        else if(filler.startsWith("ascomp:") == true)
        {
            flag = CheckAsComp.IsLegal(filler);
        }
        else if(filler.startsWith("fincomp(") == true)
        {
            flag = CheckFinComp.IsLegal(filler);
        }
        else if(filler.startsWith("infcomp:") == true)
        {
            flag = CheckInfComp.IsLegal(filler);
        }
        else if(filler.startsWith("pphr(") == true)
        {
            flag = CheckPphr.IsLegal(filler);
        }
        else if(filler.startsWith("binfcomp:") == true)
        {
        }
        else if(filler.startsWith("whinfcomp:") == true)
        {
            flag = CheckWhinfComp.IsLegal(filler);
        }
        else
        {
            flag = false;
        }
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 8;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("advbl");
        filler_.add("ascomp:");
        filler_.add("fincomp(");
        filler_.add("infcomp:");
        filler_.add("pphr");
        filler_.add("binfcomp:");
        filler_.add("whfincomp");
        filler_.add("whinfcomp:");
    }
}
