package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Compl.*;
/*****************************************************************************
* This class checks the format of complement for noun.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatNounCompl implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel format of noun complements.
    *
    * @param   filler   the filler of noun complement.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = false;
        if(filler_.contains(filler) == true)
        {
            flag = true; 
        }
        else if(filler.startsWith("ascomp:") == true)
        {
            flag = CheckAsComp.IsLegal(filler);
        }
        else if(filler.startsWith("fincomp(") == true)
        {
            flag = CheckFinComp.IsLegal(filler);
        }
        else if(filler.startsWith("infcomp:") == true)
        {
            flag = CheckInfComp.IsLegal(filler);
        }
        else if(filler.startsWith("pphr(") == true)
        {
            flag = CheckPphr.IsLegal(filler);
        }
        else if(filler.startsWith("whinfcomp:") == true)
        {
            flag = CheckWhinfComp.IsLegal(filler);
        }
        else
        {
            flag = false;
        }
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 1;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("whfincomp");
    }
}
