package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks format of variants for nouns.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatNounVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel format of noun variants.
    *
    * @param   filler   the filler of noun variants.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        if(flag == false) 
        {
            if((filler.startsWith("irreg|") == true)
            && (filler.endsWith("|") == true))
            {
                StringTokenizer buf = new StringTokenizer(filler, "|");
                int pipeNum = 0;
                while(buf.hasMoreTokens() == true)
                {
                    String token = buf.nextToken();
                    pipeNum++;
                }
                // TBD: 
                flag = (pipeNum == 3);
                // flag = (pipeNum == 2);
            }
            else if(filler.startsWith("group(") == true)
            {
                flag = CheckNounGroupArgument(filler);
            }
        }
        return flag;
    }
    // private methods
    private boolean CheckNounGroupArgument(String argument)
    {
        boolean flag = groupNounArgument_.contains(argument);
        //in case of irreg
        if(flag == false)
        {
            if((argument.startsWith("group(irreg|") == true)
            && (argument.endsWith("|)") == true))
            {
                StringTokenizer buf = new StringTokenizer(argument, "|");
                int pipeNum = 0;
                while(buf.hasMoreTokens() == true)
                {
                    String token = buf.nextToken();
                    pipeNum++;
                }
                //TBD: 
                flag = (pipeNum == 4);
                //flag = (pipeNum == 3);
            }
        }
        return flag;
    }
    // data member
    private final static int LEGAL_ARGUMENT_NUM = 5;
    private static HashSet<String> groupNounArgument_ 
        = new HashSet<String>(LEGAL_ARGUMENT_NUM);
    private final static int LEGAL_FILLER_NUM = 11;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        groupNounArgument_.add("group(reg)");
        groupNounArgument_.add("group(irreg)");
        groupNounArgument_.add("group(glreg)");
        groupNounArgument_.add("group(metareg)");
        groupNounArgument_.add("group(sing)");        // TBD
        filler_.add("reg");
        filler_.add("glreg");
        filler_.add("metareg");
        filler_.add("irreg|");
        filler_.add("sing");
        filler_.add("plur");
        filler_.add("inv");
        filler_.add("group()");
        filler_.add("uncount");
        filler_.add("groupuncount");
    }
}
