package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks format of agreement (variants) for pronoun.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatPronVariants implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legel format of pronoun agreement variants.
    *
    * @param   filler   the filler of pronoun agreement variants.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = filler_.contains(filler);
        return flag;
    }
    // data member
    private final static int LEGAL_FILLER_NUM = 9;
    private static HashSet<String> filler_ 
        = new HashSet<String>(LEGAL_FILLER_NUM);
    static
    {
        filler_.add("fst_plur");
        filler_.add("fst_sing");
        filler_.add("sec_plur");
        filler_.add("sec_sing");
        filler_.add("second");
        filler_.add("third");
        filler_.add("thr_plur");
        filler_.add("thr_sing");
        filler_.add("free");
    }
}
