package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import java.util.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Compl.*;
/*****************************************************************************
* This class checks format of intransitive complements for verb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatVerbIntran implements CheckFormat
{
    // public method
    /**
    * Check a line to see if it is a legal format of intransitive 
    * complements of verb.
    *
    * @param   inCode   the filler of verb intransitive complements.
    *
    * @return  true or false for legal and illegal filler.
    */
    public boolean IsLegalFormat(String inCode)
    {
        boolean flag = false;
        int partIndex = inCode.indexOf(";part(");
        String filler = null;
        String particle = null;
        // get filler
        if(partIndex != -1)
        {
            filler = inCode.substring(0, partIndex+1);
            particle = inCode.substring(partIndex);
        }
        else
        {
            filler = inCode;
        }
        // check filler & particle code
        if(particle != null)
        {
            flag = CheckParticle.IsLegal(particle);
        }
        return flag;
    }
    // data member
}
