package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java class to check the category of a lexRecord.
* <ul>
* <li>adj, adv, aux, compl, conj, det, modal, noun, prep, pron, verb
* </ul>
*
* <p><b>History:</b>
* <ul>
* <li>SCR-39, chlu, 04/04/2013, Add new features to check content
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckCategory
{
    // private constructor
    private CheckCategory()
    {
    }

    // public methods
	public static boolean CheckContent(LexRecord lexRecord)
	{
		// check non-ASCII citation form
		boolean validFlag = CheckIllegalCat(lexRecord);
		return validFlag;
	}

    // check non-ASCII citation form
    private static boolean CheckIllegalCat(LexRecord lexRecord)
    {
        boolean validFlag = true;
        String cat = lexRecord.GetCategory();

        // check if category is legal
        if(LexRecordUtil.IsCategory(cat) == false)
        {
            validFlag = false;
			ErrMsgUtilLexRecord.AddContentErrMsg(LexRecordUtil.CONTENT_CAT, 
				ErrMsgUtilLexRecord.ERR_ILLEGAL, cat, lexRecord);
        }
        return validFlag;
    }
}
