package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java class to check the EUI of a lexRecord.
* <ul>
* <li>Illegal EUI: can't be E0000000
* </ul>
*
* <p><b>History:</b>
* <ul>
* <li>SCR-39, chlu, 03/28/2013, Add new features to check content
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckEui
{
    // private constructor
    private CheckEui()
    {
    }

    // public methods
	public static boolean CheckContent(LexRecord lexRecord)
	{
		// check non-ASCII citation form
		boolean validFlag = CheckIllegalEui(lexRecord);
		return validFlag;
	}

    // check non-ASCII citation form
    private static boolean CheckIllegalEui(LexRecord lexRecord)
    {
        boolean validFlag = true;
        String eui = lexRecord.GetEui();

        // check if EUI is E0000000
        if(eui.equals("E0000000") == true)
        {
            validFlag = false;
			ErrMsgUtilLexRecord.AddContentErrMsg(LexRecordUtil.CONTENT_EUI, 
				ErrMsgUtilLexRecord.ERR_ILLEGAL, eui, lexRecord);
        }
        return validFlag;
    }
}
