package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import java.io.*;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java class to check duplicated EUIs.
*
* <p><b>History:</b>
* <ul>
* <li>SCR-40, chlu, 04/04/2013, Add new features to check entire lexicon
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CrossCheckDupEuis
{
    // private constructor
    private CrossCheckDupEuis()
    {
    }

	// lexRecord is automatically fixed
    public static boolean Check(Vector<LexRecord> lexRecords) 
		throws IOException
	{
		boolean validFlag = true;
		HashSet<String> euiList = new HashSet<String>();

		// go through all records
		int recSize = lexRecords.size();
		for(int i = 0; i < recSize; i++)
		{
			LexRecord lexRecord = lexRecords.elementAt(i);

			String eui = lexRecord.GetEui();

			if(euiList.add(eui) == false)
			{
				validFlag = false;
				ErrMsgUtilLexicon.AddContentErrMsg(
					LexRecordUtil.CROSS_CHK_DUP_EUI,
					ErrMsgUtilLexicon.ERR_DUP_EUI, eui, lexRecord);
			}
		}

		return validFlag;
	}

    // data member
}
