package gov.nih.nlm.nls.lexCheck.CheckCont;
import java.util.*;
import gov.nih.nlm.nls.lvg.Util.UnicodeUtil;
import gov.nih.nlm.nls.lexCheck.Lib.*;
import gov.nih.nlm.nls.lexCheck.Api.*;
/*****************************************************************************
* This class provides a Java utility class of error message of content check.
* It is similar to the Lib.ErrMsg class
*
* <p><b>History:</b>
* <ul>
* <li>SCR-39, chlu, 03/28/2013, Add new features to check content
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class ErrMsgUtilLexicon extends ErrMsgUtil
{
	public static void AddContentErrMsg(int contentType, int errType,
		String curItem, LexRecord lexRecord)
	{
		boolean corssRefFlag = true;
		AddContentErrMsg(contentType, errType, curItem, lexRecord, 
			errTypeStrs_, errTypeNos_, corssRefFlag);
	}
    public static void AddContentErrMsg(int contentType, int errType, 
		String errMsg)
	{
		boolean corssRefFlag = true;
		AddContentErrMsg(contentType, errType, errMsg, errTypeStrs_,
			errTypeNos_, corssRefFlag);
	}

	public static String GetErrStats()
	{
		return GetErrStats(errTypeStrs_, errTypeNos_);
	}

	public static String GetErrTypeStr(int errType)
	{
		return GetErrTypeStr(errType, errTypeStrs_);
	}

	public static String GetErrFixStr(int errType)
	{
		return GetErrFixStr(errType, errTypeStrs_);
	}

    // data member
	// used in Lexicon Check
	final public static int ERR_DUP_EUI = 1;
	final public static int ERR_DUP_REC = 2;
	final public static int ERR_NO_EUI = 3;
	final public static int ERR_NEW_EUI = 4;
	final public static int ERR_MISS_EUI = 5;
	final public static int ERR_WRONG_EUI = 6;
	final public static int ERR_MISS_EUIS = 7;
	final public static int ERR_WRONG_EUIS = 8;
	final public static int ERR_SYM_CIT = 9;
	final public static int ERR_SYM_CAT = 10;
	final public static int ERR_SYM_NONE = 11;
	private static String[][] errTypeStrs_ = 
	{
		{"Total", ""},
		{"dup EUI", " => requires manully fix"},
		{"dup LexRecord", " => requires manually check"},
		{"no EUI", " => remove EUI, change citation, etc."},
		{"new EUI", " => Manually add a new record to To-Do list"},
		{"missing EUI", " => add EUI"},
		{"wrong EUI", " => requires manually check"},
		{"missing EUIs", " => requires manually check"},
		{"wrong EUIs", " => requires manually check"},
		{"symmetric citation", " => requires manually check"},
		{"symmetric catogory", " => requires manually check"},
		{"symmetric none", " => requires manually check"}
	};
	private static int[] errTypeNos_ =
	{
		0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		0, 0
	};
}
