package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks "as" absolute clause complement format.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckAsComp
{
    // public method
    /**
    * Check if the filler is a legal "as" absolute complement format
    *
    * @param   filler  the filler for checking
    *
    * @return  true or false for a legal or illegal format of "as" absolute 
    *          clause complement
    */
    public static boolean IsLegal(String filler) 
    {
        boolean flag = true;
        //check if it starts with infcomp
        if(filler.startsWith(KEY_COMPL) == false)
        {
            return false;
        }
        // check first preposition
        int index = filler.indexOf(":");
        // no interpretation code
        if(index < size_-1)
        {
            return false;
        }
        // check interpretation code
        String interpretation = filler.substring(index+1);
        if(CheckInterpretation.IsLegal(interpretation) == false)
        {
            return false;
        }
        return flag;
    }
    // private method
    // data member
    private final static String KEY_COMPL = "ascomp:";
    private final static int size_ = KEY_COMPL.length();
}
