package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks finite clause complements format.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFinComp
{
    // public method
    /**
    * Check if the filler is a legal finite clause complements format
    *
    * @param   filler  the filler for checking
    *
    * @return  true or false for a legal or illegal format of finite
    *          clause complement
    */
    public static boolean IsLegal(String filler) 
    {
        boolean flag = finComp_.contains(filler);
        return flag;
    }
    // private method
    // data member
    private static HashSet<String> finComp_ = new HashSet<String>(16);
    static
    {
        finComp_.add("fincomp(o)");
        finComp_.add("fincomp(t)");
        finComp_.add("fincomp(p)");
        finComp_.add("fincomp(s)");
        finComp_.add("fincomp(ts)");
        finComp_.add("fincomp(tp)");
        finComp_.add("fincomp(sp)");
        finComp_.add("fincomp(tsp)");
        finComp_.add("fincomp(o):subj");
        finComp_.add("fincomp(t):subj");
        finComp_.add("fincomp(p):subj");
        finComp_.add("fincomp(s):subj");
        finComp_.add("fincomp(ts):subj");
        finComp_.add("fincomp(tp):subj");
        finComp_.add("fincomp(sp):subj");
        finComp_.add("fincomp(tsp):subj");
    }
}
