package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks if the input is an interpretation code.
*
* <p><b>History:</b>
* <ul>
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckInterpretation
{
    // public method
    /**
    * Check if the filler is a legal interpretation code
    *
    * @param   term  the term for checking Interpretation
    *
    * @return  true or false for a legal or illegal format of interpretation 
    *          code
    */
    public static boolean IsLegal(String term) 
    {
        boolean flag = interpretation_.contains(term);
        return flag;
    }
    // data member
    private static final int INTERPRETATION_NUM = 7;
    private static HashSet<String> interpretation_ 
        = new HashSet<String>(INTERPRETATION_NUM);
    static
    {
        interpretation_.add("objc");
        interpretation_.add("objr");
        interpretation_.add("subjc");
        interpretation_.add("subjr");
        interpretation_.add("arbc");
        interpretation_.add("nsc");
        interpretation_.add("nsr");
    }
}
