package gov.nih.nlm.nls.lexCheck.Compl;
import java.util.*;
/*****************************************************************************
* This class checks verb particle construction format.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckParticle
{
    // public method
    /**
    * Check if the filler is a legal verb particle construction format
    *
    * @param   particle  the particle for checking
    *
    * @return  true or false for a legal or illegal format of verb particle 
    *          construction
    */
    public static boolean IsLegal(String particle) 
    {
        boolean flag = true;
        //check if it starts with infcomp
        if((particle.startsWith(KEY_COMPL) == false)
        || (particle.endsWith(")") == false))
        {
            return false;
        }
        // check first preposition
        if((particle.indexOf("(")+1) == (particle.indexOf(")")))
        {
            return false;
        }
        // check if multiple "("s or ")"s
        if((particle.indexOf("(") != (particle.lastIndexOf("(")))
        || (particle.indexOf(")") != (particle.lastIndexOf(")"))))
        {
            return false;
        }
        return flag;
    }
    // private method
    // data member
    private final static String KEY_COMPL = ";part(";
    private final static int size_ = KEY_COMPL.length();
}
