package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class checks if the filler is a legal EUI format.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFormatEui implements CheckFormat
{
    // public method
    public static boolean IsValidEui(String eui)
    /**
    * Check if the filler is a legal EUI
    *
    * @param   filler  the input filler for checking
    *
    * @return  true or false for a legal or illegal of EUI
    */
    {
        CheckFormatEui temp = new CheckFormatEui();
        if((eui == null) || (eui.length() == 0))
        {
            return false;
        }
        return temp.IsLegalFormat(eui);
    }
    /**
    * Check if the filler is a legal EUI format
    *
    * @param   filler  the input filler for checking
    *
    * @return  true or false for a legal or illegal format of EUI
    */
    public boolean IsLegalFormat(String filler)
    {
        boolean flag = true;
        flag = ((filler.startsWith("E")) 
            && (filler.length() == 8)
            && (IsAllDigit(filler.substring(1))));
        return flag;
    }
    // private method
    private static boolean IsAllDigit(String euiId)
    {
        for(int i = 0; i < euiId.length(); i++)
        {
            char c = euiId.charAt(i);
            if(Character.isDigit(c) == false)
            {
                return false;
            }
        }
        return true;
    }
}
