package gov.nih.nlm.nls.lexCheck.Lib;
import java.util.*;
/*****************************************************************************
* This class provides a Java object class for category entry.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CatEntry
{
    /**
    *    Creates a default category entry object by specifing category name
    *
    * @param  cat  category name in string
    */
    public CatEntry(String cat)
    {
        if(cat.equals("verb"))
        {
            verbEntry_ = new VerbEntry();
        }
        else if(cat.equals("noun"))
        {
            nounEntry_ = new NounEntry();
        }
        else if(cat.equals("adj"))
        {
            adjEntry_ = new AdjEntry();
        }
        else if(cat.equals("adv"))
        {
            advEntry_ = new AdvEntry();
        }
        else if(cat.equals("aux"))
        {
            auxEntry_ = new AuxEntry();
        }
        else if(cat.equals("modal"))
        {
            modalEntry_ = new ModalEntry();
        }
        else if(cat.equals("pron"))
        {
            pronEntry_ = new PronEntry();
        }
        else if(cat.equals("det"))
        {
            detEntry_ = new DetEntry();
        }
    }
    // public method
    /**
    * Get the text format of the category entry
    *
    * @return  text format of the category entry
    */
    public String GetText(String cat)
    {
        String text = new String();
        if(cat.equals("verb"))
        {
            text = verbEntry_.GetText();
        }
        else if(cat.equals("noun"))
        {
            text = nounEntry_.GetText();
        }
        else if(cat.equals("adj"))
        {
            text = adjEntry_.GetText();
        }
        else if(cat.equals("adv"))
        {
            text = advEntry_.GetText();
        }
        else if(cat.equals("aux"))
        {
            text = auxEntry_.GetText();
        }
        else if(cat.equals("modal"))
        {
            text = modalEntry_.GetText();
        }
        else if(cat.equals("pron"))
        {
            text = pronEntry_.GetText();
        }
        else if(cat.equals("det"))
        {
            text = detEntry_.GetText();
        }
        return text;
    }
    /**
    * Get the xml format of the category entry
    *
    * @return  xml format of the category entry
    */
    public String GetXml(String cat)
    {
        String xml = new String();
        if(cat.equals("verb"))
        {
            xml = verbEntry_.GetXml();
        }
        else if(cat.equals("noun"))
        {
            xml = nounEntry_.GetXml();
        }
        else if(cat.equals("adj"))
        {
            xml = adjEntry_.GetXml();
        }
        else if(cat.equals("adv"))
        {
            xml = advEntry_.GetXml();
        }
        else if(cat.equals("aux"))
        {
            xml = auxEntry_.GetXml();
        }
        else if(cat.equals("modal"))
        {
            xml = modalEntry_.GetXml();
        }
        else if(cat.equals("pron"))
        {
            xml = pronEntry_.GetXml();
        }
        else if(cat.equals("det"))
        {
            xml = detEntry_.GetXml();
        }
        return xml;
    }
    /**
    * Get the verb entry
    *
    * @return  verb entry
    */
    public VerbEntry GetVerbEntry()
    {
        return verbEntry_;
    }
    /**
    * Get the noun entry
    *
    * @return  noun entry
    */
    public NounEntry GetNounEntry()
    {
        return nounEntry_;
    }
    /**
    * Get the adjective entry
    *
    * @return  adjective entry
    */
    public AdjEntry GetAdjEntry()
    {
        return adjEntry_;
    }
    /**
    * Get the adverb entry
    *
    * @return  adverb entry
    */
    public AdvEntry GetAdvEntry()
    {
        return advEntry_;
    }
    /**
    * Get the auxiliary entry
    *
    * @return  auxiliary entry
    */
    public AuxEntry GetAuxEntry()
    {
        return auxEntry_;
    }
    /**
    * Get the modal entry
    *
    * @return  modal entry
    */
    public ModalEntry GetModalEntry()
    {
        return modalEntry_;
    }
    /**
    * Get the pronoun entry
    *
    * @return  pronoun entry
    */
    public PronEntry GetPronEntry()
    {
        return pronEntry_;
    }
    /**
    * Get the determiner entry
    *
    * @return  determiner entry
    */
    public DetEntry GetDetEntry()
    {
        return detEntry_;
    }
    // data member
    private VerbEntry verbEntry_ = null;
    private NounEntry nounEntry_ = null;
    private AdjEntry adjEntry_ = null;
    private AdvEntry advEntry_ = null;
    private AuxEntry auxEntry_ = null;
    private ModalEntry modalEntry_ = null;
    private PronEntry pronEntry_ = null;
    private DetEntry detEntry_ = null;
}
