package gov.nih.nlm.nls.lexCheck.Lib;
/*****************************************************************************
* This class check filler format for a lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class CheckFillerFormat
{
    // public method
    /**
    * Check if the line is a legal filler format
    *
    * @param   printFlag   the flag for print out check result
    * @param   lineObject  the java object of the input line
    * @param   filler      the tokenized filler from input line
    * @param   beginIndex  the beginning index of the filler
    * @param   isTab         the flag for tab starting line
    * @param   checkLength   flag of checking length or not
    *
    * @return  true or false for legal and illegal format of a filler
    */
    public static boolean IsLegalFormat(boolean printFlag, 
        LineObject lineObject, String filler, int beginIndex, boolean isTab,
        boolean checkLength)
    {
        boolean flag = true;
        // check lenght of filler
        if(filler.length() <= 0)
        {
            if(checkLength == true)
            {
                ErrMsg.PrintErrMsg(printFlag, ErrMsg.FILLER_BLANK_ERR, 
                    lineObject, filler, beginIndex, beginIndex, isTab);
                flag = false;
            }
        }
        // The first char of filler can't be '=', ' ',  or '|'
        else if ((filler.charAt(0) == '=')
        || (filler.charAt(0) == ' ')
        || (filler.charAt(0) == '|'))
        {
            ErrMsg.PrintErrMsg(printFlag, ErrMsg.FILLER_START_CHAR_ERR, 
                lineObject, filler, beginIndex+1, beginIndex+1, isTab);
            flag = false;
        }
        return flag;
    }
}
