package gov.nih.nlm.nls.lexCheck.Lib;
/*****************************************************************************
* This class provides a Java object for a line statement in a lexical record.
*
* <p><b>History:</b>
* <ul>
* SCR-43, chlu, 07-11-13, add irregxpFile to config
* </ul>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class GlobalVars
{
    /**
    *    Creates a default line object
    */
    public GlobalVars()
    {
    }
    // public method
    /**
    * Set the text indent
    *
    * @param  textIndent   text indent to be set
    */
    public static void SetTextIndent(String textIndent)
    {
        textIndent_ = textIndent;
    }
    /**
    * Set the xml indent
    *
    * @param  xmlIndent   xml indent to be set
    */
    public static void SetXmlIndent(String xmlIndent)
    {
        xmlIndent_ = xmlIndent;
    }
    /**
    * Set the xml header
    *
    * @param  xmlHeader   xml header to be set
    */
    public static void SetXmlHeader(String xmlHeader)
    {
        xmlHeader_ = xmlHeader;
    }
    /**
    * Set the preposition file
    *
    * @param  prepositionFile   preposition file to be set
    */
    public static void SetPrepositionFile(String prepositionFile)
    {
        prepositionFile_ = prepositionFile;
    }
    /**
    * Set the irreg exceptions file
    *
    * @param  irregExpFile   irreg exceptions file to be set 
	* (used in check local content)
    */
    public static void SetIrregExpFile(String irregExpFile)
    {
        irregExpFile_ = irregExpFile;
    }
    /**
    * Get the text indent
    *
    * @return  the String content of text indent
    */
    public static String GetTextIndent()
    {
        return textIndent_;
    }
    /**
    * Get the xml indent
    *
    * @return  the String content of xml indent
    */
    public static String GetXmlIndent()
    {
        return xmlIndent_;
    }
    /**
    * Get the xml header
    *
    * @return  the xml header
    */
    public static String GetXmlHeader()
    {
        return xmlHeader_;
    }
    /**
    * Get the preposition file
    *
    * @return  the preposition file
    */
    public static String GetPrepositionFile()
    {
        return prepositionFile_;
    }
    /**
    * Get the irreg exceptions file
    *
    * @return  the irreg exceptions file
    */
    public static String GetIrregExpFile()
    {
        return irregExpFile_;
    }
    // data member
    final public static String LS_STR
        = System.getProperty("line.separator").toString();    // line sep string
    private static String textIndent_ = "\t";
    private static String xmlIndent_ = "\t";
    private static String xmlHeader_ = 
        "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
    private static String prepositionFile_ = new String(); // update annually
    private static String irregExpFile_ = new String(); // update annually
}
